# Frame Enhancer

## CLI Arguments

### Frame Enhancer Model

Choose the model responsible for enhancing the frame.

Argument: `--frame-enhancer-model`

Default: `span_kendata_x4`

Choices:

* `clear_reality_x4`
* `lsdir_x4`
* `nomos8k_sc_x4`
* `real_esrgan_x2`
* `real_esrgan_x2_fp16`
* `real_esrgan_x4`
* `real_esrgan_x4_fp16`
* `real_esrgan_x8`
* `real_esrgan_x8_fp16`
* `real_hatgan_x4`
* `real_web_photo_x4`
* `realistic_rescaler_x4`
* `remacri_x4`
* `siax_x4`
* `span_kendata_x4`
* `swin2_sr_x4`
* `ultra_sharp_x4`
* `ultra_sharp_2_x4`

Example: `--frame-enhancer-model real_hatgan_x4`

### Frame Enhancer Blend

Blend the enhanced into the previous frame.

Argument: `--frame-enhancer-blend`

Default: `80`

Range: `0` to `100` at `1`

Example: `--frame-enhancer-blend 100`

## Default Overrides

Modify the `facefusion.ini` file to override the defaults.

```ini
[processors]
frame_enhancer_model = real_hatgan_x4
frame_enhancer_blend = 100
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.facefusion.io/usage/cli-arguments/processors/frame-enhancer.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
